enter_password_on_mouse_scene09 = {}

enter_password_on_mouse_scene09.params =
{
	image_number_prefix = "scene09_mini_minigame01_number",
	password = {3, 1, 4},
	answer_pos = sf.misc.FloatVector(30.0, 7.0),
	answer_insets = 7,
	
	sound_on_click = "mini_game_enter_password_on_mouse_button_push_02",
	
	sleep = 500.0 -- пауза перед сбрособ в случае неправильного ввода / пауза перед закрытием в случае правильного ввода
}

enter_password_on_mouse_scene09.Init = function(_owner)
	enter_password_on_mouse.params = enter_password_on_mouse_scene09.params
	enter_password_on_mouse.Init(_owner)
end

for p,v in pairs(enter_password_on_mouse) do
	if not enter_password_on_mouse_scene09[p] then enter_password_on_mouse_scene09[p] = v end
	if not enter_password_on_mouse_scene09[p] then enter_password_on_mouse_scene09[p] = v end
end
